package com.pwt.system.mapper;

import com.pwt.system.domain.PwtConfig;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 系统配置Mapper接口
 *
 * @author linyun
 * @date 2022-11-21
 */
public interface PwtConfigMapper {
    /**
     * 查询系统配置
     *
     * @param id 系统配置主键
     * @return 系统配置
     */
    public PwtConfig selectPwtConfigById(Long id);

    /**
     * 查询系统配置列表
     *
     * @param pwtConfig 系统配置
     * @return 系统配置集合
     */
    public List<PwtConfig> selectPwtConfigList(PwtConfig pwtConfig);

    /**
     * 修改系统配置
     *
     * @param pwtConfig 系统配置
     * @return 结果
     */
    public int updatePwtConfig(PwtConfig pwtConfig);

    void changeAutoChangeWarehouse(@Param("id") Long id, @Param("isAutoChangeWarehouse") boolean isAutoChangeWarehouse);

    Boolean getIsAutoChangeWarehouse(@Param("id") Long id);
}
